﻿using UnityEngine;
using System.Collections;
using Assets.Scripts.Game.Items;

public class ItemPickup : MonoBehaviour {

    GameManager gameManager;

	// Use this for initialization
	void Start () {
        var gm = GameObject.FindGameObjectWithTag("GameManager");
        if (gameObject == null)
            Debug.Log("Could not find GameManagerObject object byt tagName GameManager");
        if (gm != null)
            gameManager = gm.GetComponent("GameManager") as GameManager;
        if (gameManager == null)
            Debug.Log("Could not find GameManager Script");
		Collider2D coll = gameObject.GetComponent<Collider2D>();
		if (coll == null)
			Debug.Log("No collider on pickable item!");
		if (!coll.isTrigger)
			Debug.Log("Collider on pickable item is not a trigger!");
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.tag == "Player")
        {
            gameManager.Game.Player.PickupItem(new Gloves());
			GameObject physobj = GameObject.Find(gameObject.name.Substring(0, gameObject.name.Length - 5));
            Destroy(gameObject);
			Destroy(physobj);
        }
    }
}
