﻿using UnityEngine;
using System.Collections;
using Assets.Scripts.Game;
using Assets.Scripts.Game.Items;

public class AbilityGain : MonoBehaviour {
	
	GameManager gameManager;

	public string AbilityName;
	
	// Use this for initialization
	void Start () {
		var gm = GameObject.FindGameObjectWithTag("GameManager");
		if (gameObject == null)
			Debug.Log("Could not find GameManagerObject object byt tagName GameManager");
		if (gm != null)
			gameManager = gm.GetComponent("GameManager") as GameManager;
		if (gameManager == null)
			Debug.Log("Could not find GameManager Script");
	}
	
	// Update is called once per frame
	void Update () {
		
	}
	
	void OnTriggerEnter2D(Collider2D other)
	{
		if (other.gameObject.tag == "Player")
		{
			if ( AbilityName == "Purple" ) {
				gameManager.Game.Player.GainAbility(new ColorAbility(0));
			}
			else if ( AbilityName == "Blue" ) {
				gameManager.Game.Player.GainAbility(new ColorAbility(1));
			}
			else if ( AbilityName == "Green" ) {
				gameManager.Game.Player.GainAbility(new ColorAbility(2));
			}
			else if ( AbilityName == "Yellow" ) {
				gameManager.Game.Player.GainAbility(new ColorAbility(3));
			}
			else if ( AbilityName == "Red" ) {
				gameManager.Game.Player.GainAbility(new ColorAbility(4));
			}
		}
	}
}

