﻿using UnityEngine;
using System.Collections;

public class HoleTrigger : MonoBehaviour {
	
	GameManager gameManager;

	// Use this for initialization
	void Start () {
		var gm = GameObject.FindGameObjectWithTag("GameManager");
		if (gameObject == null)
			Debug.Log("Could not find GameManagerObject object byt tagName GameManager");
		if (gm != null)
			gameManager = gm.GetComponent("GameManager") as GameManager;
		if (gameManager == null)
			Debug.Log("Could not find GameManager Script");
	}

	void OnTriggerEnter2D(Collider2D other)
	{
		Debug.Log("Trigger!!!");
		if (other.gameObject.tag == "Player")
		{
			gameManager.Game.ChangeLayer(-1, false);
		}
	}
}
