﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

public class PostProcessing : MonoBehaviour {

    Material mat;
	// Use this for initialization
	void Start () {
        
        mat = Resources.Load("Materials/PostProcVignette") as Material;
        if (mat == null)
            Debug.Log("Could not find PostProcessing material");
         
	}
	
	// Update is called once per frame
	void Update () {
	
	}

    void OnRenderImage(RenderTexture source, RenderTexture destination)
    {
        //mat is the material containing your shader
        Graphics.Blit(source, destination, mat);
    }
}
